Subject: Re: PR/37157 CVS commit: pkgsrc/databases/shared-mime-info
To: None <>
From: Gilles Gravier <>
List: pkgsrc-bugs
Date: 10/29/2007 16:43:52
Min Sik Kim wrote:
> The following reply was made to PR pkg/37157; it has been noted by GNATS.
> From: "Min Sik Kim" <>
> To:
> Cc:
> Subject: Re: PR/37157 CVS commit: pkgsrc/databases/shared-mime-info
> Date: Mon, 29 Oct 2007 08:30:55 -0700
>  On 10/29/07, Joerg Sonnenberger <> wrote:
>  >  On Mon, Oct 29, 2007 at 11:40:04AM +0000, Min Sik Kim wrote:
>  >  >  Log Message:
>  >  >  This package requires recent gettext-lib and the one included in NetBSD-3
>  >  >  is too old.  Add NetBSD-[123].* to INCOMPAT_GETTEXT so that it avoids
>  >  >  using built-in gettext-lib on those platforms.
>  >
>  >  Please revert this. It creates a lot more problems than it is fixing.
>  Could you elaborate on this?  The package is required by many others,
>  most notably gnome.  Leaving it broken on the latest release of NetBSD
>  for weeks was not acceptable.  Since the problem also existed in
>  pkgsrc-2007Q3, I wanted a solution that didn't change infrastructure
>  so that it could be easily pulled up.
>  I would be happy to see this change reverted when a better fix is
>  committed.  If anyone plans to do so, be my guest
At this point in time, what I have to do every time something requires a 
rebuild of shared-mime-info is to wait for the build to crash, then to 
edit pkgsrc/databases/shared-mime-info/work/shared-mime-info/intltool-update
and remove the following lines :



Starting line 760. Then make again and it works.

Not really the way I imagine things for NetBSD users in general...

It would indeed be better for this critical package (which breaks GNOME 
every time while it is not fixed) to be properly patched.